Page MenuHomePhabricator

Add CampaignEvents to selenium daily
Closed, ResolvedPublic

Description

Add the campaign events extension to the selenium daily tests

@zeljkofilipin I'd like to pair with you on this or review your PR whenever you do this

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJan 9 2024, 11:17 PM
zeljkofilipin renamed this task from Add campaign events to selenium daily to Add CampaignEvents to selenium daily .Jan 16 2024, 3:51 PM

Change 991034 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[integration/config@master] jjb: Create selenium-daily-beta-CampaignEvents

https://gerrit.wikimedia.org/r/991034

Change 991034 merged by jenkins-bot:

[integration/config@master] jjb: Create selenium-daily-beta-CampaignEvents

https://gerrit.wikimedia.org/r/991034

I think something in a setup config is probably incorrect here as the tests are all passing on local but failing on this daily job run.

zeljkofilipin changed the task status from In Progress to Open.Jan 29 2024, 2:41 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin changed the task status from Open to In Progress.Apr 9 2024, 1:16 PM
zeljkofilipin claimed this task.

Change #1018220 had a related patch set uploaded (by Jforrester; author: Zfilipin):

[integration/config@master] jjb: Recreate selenium-daily-beta-CampaignEvents

https://gerrit.wikimedia.org/r/1018220

Change #1018275 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/CampaignEvents@master] WIP selenium: Fix selenium-daily-beta-CampaignEvents Jenkins job

https://gerrit.wikimedia.org/r/1018275

Change #1018220 merged by jenkins-bot:

[integration/config@master] jjb: Recreate selenium-daily-beta-CampaignEvents

https://gerrit.wikimedia.org/r/1018220

Change #1018275 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] selenium: Fix selenium-daily-beta-CampaignEvents Jenkins job

https://gerrit.wikimedia.org/r/1018275

Change #1019820 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/CampaignEvents@master] selenium: Fix selenium-daily-beta-CampaignEvents Jenkins job

https://gerrit.wikimedia.org/r/1019820

Change #1019820 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] selenium: Fix selenium-daily-beta-CampaignEvents Jenkins job

https://gerrit.wikimedia.org/r/1019820

selenium-daily-beta-CampaignEvents is running since 20204-04-09 and green since 20204-04-16. I think the task is resolved.

One spec file with three tests is running. If you want to run more tests, let's pair on it during office hours. cc @vaughnwalters